> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/content/pdfviewer/wisej.web.pdfviewertype.md).

# PdfViewerType

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.1.0.0)

Specifies the type of Pdf viewer to use in the [PdfViewer](https://docs.wisej.com/api/wisej.web/content/pdfviewer) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum PdfViewerType : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum PdfViewerType As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name        | Description                                                                                                                                                                                                                 |
| ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Auto**    | The PDF viewer is selected by the client browser.                                                                                                                                                                           |
| **Custom**  | Use a custom viewer defined in the [ViewerURL](https://docs.wisej.com/api/wisej.web/content/pdfviewer#viewerurl) property. Use the \[source] placeholder in the URL to indicate where to insert the URL to the file source. |
| **Google**  | Use Google's document viewer. The URL of the Google viewer can be changed in the [ViewerURL](https://docs.wisej.com/api/wisej.web/content/pdfviewer#viewerurl) property.                                                    |
| **Mozilla** | Use Mozilla PDF.js viewer. The URL of the Mozilla viewer can be changed in the [ViewerURL](https://docs.wisej.com/api/wisej.web/content/pdfviewer#viewerurl) property.                                                      |

## Used By

| Name                                                                                      | Description                                                                                                                                  |
| ----------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------- |
| [PdfViewer.ViewerType](https://docs.wisej.com/api/wisej.web/content/pdfviewer#viewertype) | Returns or sets the [PdfViewerType](https://docs.wisej.com/api/wisej.web/content/pdfviewer/wisej.web.pdfviewertype.md) to use on the client. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/content/pdfviewer/wisej.web.pdfviewertype.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
